org.apache.http.impl.execchain

## Class RequestAbortedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - java.io.InterruptedIOException
        - - org.apache.http.impl.execchain.RequestAbortedException

All Implemented Interfaces:
  Serializable

    public class RequestAbortedException
    extends InterruptedIOException

Signals that the request has been aborted.

Since:
  4.3
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class java.io.InterruptedIOException

`bytesTransferred`

### Constructor Summary

Constructors
Constructor and Description
`RequestAbortedException(String message)`
`RequestAbortedException(String message, Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### RequestAbortedException

    public RequestAbortedException(String message)

#### RequestAbortedException

    public RequestAbortedException(String message,
                           Throwable cause)